import { EggProtoImplClass } from '@eggjs/core-decorator';
import type { ModuleReference } from '@eggjs/tegg-common-util';
export interface ModuleProtoMeta {
    path: string;
    exportNames: string[];
}
export declare class ModuleLoaderCache {
    private static enable;
    private static enableDump;
    private static moduleReferences;
    private static readonly cache;
    private static readonly moduleCache;
    static enableCache(): void;
    static openDump(): void;
    static setModuleReferences(moduleReferences: ModuleReference[]): void;
    static addModule(modulePath: string, cache: ModuleProtoMeta[]): void;
    static addModuleCache(modulePath: string, clazzList: EggProtoImplClass[]): void;
    static getModuleProtoCache(modulePath: string): EggProtoImplClass[] | undefined;
    static getModuleReferences(): ModuleReference[] | undefined;
    static getModuleCache(modulePath: string): ModuleProtoMeta[] | undefined;
    static dump(): {
        moduleReferences: ModuleReference[];
        cache: Record<string, ModuleProtoMeta[]>;
    };
}
